Lara Overflow 1.0 Cross Site Scripting

Lara Overflow version 1.0 suffers from a cross site scripting vulnerability.


MD5 | 4d502b4daafa024a5f884a81d9442e35

# Exploit Title: Lara Overflow - Q&A platform using Laravel and Vue.js - Xss
# Google Dork: N/A
# Date: 2018/01/01
# Exploit Author: ShanoWeb
# Author Mail : Mr[dot]Net2Net[at]Gmail[dot]com
# Vendor Homepage: https://codecanyon.net/user/kungfunguyen
# Software Buy: https://codecanyon.net/item/lara-overflow-qa-platform-using-laravel-and-vuejs/20829419?s_rank=157
# Demo: http://139.59.240.88:8082/questions/list
# Version: 1.0
# Tested on: Win7 x64,
# Exploit :

Hi 2 All
1. go to http://[site]/register and reg to site , login to site...
2. go to Aks Questions -> http://[site]/questions/ask
3. insert to textbox "What's your question?" -> <script>alert(document.cookie);</script> or <script>alert(/ShanoWeb/);</script>
4. click to post your question button
5. go to index site : http://[site]/questions/list




:D:D

./
|=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
| Find and patch bug in your website and system|
| Contact : Mr[dot]Net2Net[at]Gmail[dot]com |
|=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|

|=============================================================|
/-------------------------------------------------------------\
| My Message To |
\-------------------------------------------------------------/
|= [!] Make Love,Not War!. Peace No War!
|= [!] We Are One!
|= [!] We are Legion,We do not Forgive,We Do not Forge
|= [!] We Love All Children from Palestine
|=============================================================|

Related Posts

Comments